contacts.list
Contacts in a list.
Reference
GET/api/v1/contact-lists/{contact_list_id}/contacts
- Auth
- API key in
X-API-Key - Content
- none
- Returns
- 200 · ContactsPage
Arguments
| Argument | In | Type | Required | Description |
|---|---|---|---|---|
contact_list_id | path | integer | required | |
limit | query | integer | default 50 | |
offset | query | integer | default 0 | |
search | query | string | optional |
Example request
curl -X GET "https://api.decibyl.ai/api/v1/contact-lists/<contact_list_id>/contacts" \
-H "X-API-Key: dcb_your_key"Response
{
"contacts": [
{
"id": 1,
"phone_raw": "string",
"phone_normalized": "string",
"email": "string",
"name": "string",
"attributes": {}
}
],
"total_count": 1
}Errors
| Status | When |
|---|---|
404 | Not found |
422 | Validation Error |